# Patch file for Bio Menace - use with BM1PATCH.EXE

%ext bm1

###### Shareware release, version 1.1 ######
%version 1.1s

### Load alternate map files ####
%patch $29B00 "SBCHEAD.BM1" $00
%patch $29B0C "Can't open SBCHEAD.BM1!" $00
%patch $29B24 "SBCTEMP.BM1" $00
%patch $29B30 "Can't open SBCTEMP.BM1!" $00

### Game songs ###
%patch $28E2E $11 $00 # Level 1; Help menu
              $02 $00 # Level 2
              $05 $00 # Level 3
              $06 $00 # Level 4
              $0A $00 # Level 5
              $03 $00 # Level 6
              $04 $00 # Level 7; Secret levels
              $01 $00 # Level 8
              $00 $00 # Level 9
              $0B $00 # Level 10

#In order to restore original behavior,
#secret levels have the same song as level 5 does.
%patch $698D $04

### Health patch ###
# On Hard difficulty, always begin a new level with 2 health points.
%patch $98E3 $02 $00

### Level names ###
%patch $298B4 "Back In Town" $00
%patch $298C3 "Park Base" $00
%patch $298CD "A Trap" $00
%patch $298D7 "Worst Lvl?" $00
%patch $298E2 "Tough" $00
%patch $298E8 "SLab" $00
%patch $298ED "The Sewer" $00
%patch $298F7 "A Climb" $00
%patch $29900 "Northern Town" $00
%patch $2990E "Temporary End" $00

### Messages from hostages and Snake's responses. ###

# Level 1
%patch $21240 "Finally, a human being coming" $0A
              "to the rescue! Thank you very much!" $0A
              "Oh, this exit key should help you." $0A $00
%patch $212B0 "It must've been scary to be all" $0A
              "alone here. Thanks for the key!" $0A
              "I'll see its usefullness." $0A $0A $00
# Level 2
%patch $21310 "Thank you! Some Doctor has captured" $0A
              "me right here and escaped over" $0A
              "there. Luckily, I could grab some key" $0A
              "that may lead you in the right way." $0A
              "Take care!" $0A $0A $00
%patch $213C0 "Yeah, that preak! I'm wondering" $0A
              "what has he prepared for me..." $0A $0A $00
# Level 3
%patch $21410 "Many many thanks!!" $0A
              "I'm so scared, this place" $0A
              "seems to be quite dangerous!" $0A
              "This is the key to the REAL exit," $0A
              "or so I've heard from someone..." $0A $0A $00
%patch $214A0 "Yeah, that doctor has had enough" $0A
              "surprises for me. But no worries," $0A
              "I can stand by any of them!" $0A $0A $00
# Level 4
%patch $21510 "Hey there, I wonder why you've" $0A
              "made it up to here. Oh well," $0A
              "here's a key to the exit. See the" $0A
              "switch over there? You may open" $0A
              "the way to a few nice goodies!" $0A $0A $00
%patch $215C0 "Yeah, so far it has been the most" $0A
              "boring challenge ever. Oh well," $0A
              "thanks for the key though! Now" $0A
              "I can see the exit over there..." $0A $0A $00
# Level 5
%patch $21650 "YIKES!...Oh, you're just an unharmful" $0A
              "human being. That skull guy" $0A
              "has scared me to death! Oh well," $0A
              "thanks. Here's some key." $0A $0A $00
%patch $216D0 "Hmm... oh, the skull guy? It's been" $0A
              "an easy target. Lets exit now!" $0A $0A $00
# Level 6
%patch $21720 "Thank you very much!! That" $0A
              "electric beam has been scaring me to" $0A
              "death for long enough! All alone" $0A
              "here, with an exit key and" $0A
              "some kind of a gem. We shall" $0A
              "escape right now!" $0A $0A $00
%patch $217D0 "Oh, the electric beam? That isn't" $0A
              "the real problem. We've got way" $0A
              "more than that. But no worries," $0A
              "I'll take care of these!" $0A $0A $00
# Level 9
%patch $21850 "ARGH!!!...Oh, Snake Logan! Thank you" $0A
              "very much! These monsters" $0A
              "have been scaring me to death!" $0A $0A $00
%patch $218C0 "...Yeah, the monsters. They're" $0A
              "a challenge. Now where has" $0A
              "that doctor escaped to..." $0A $0A $00
# Level 10
%patch $21920 "Thank you for playing this" $0A
              "snapshot of the level pack!" $0A
              "Now, Mr. Logan, I think it's time" $0A
              "to use that key and have some rest." $0A $0A $00
%patch $219B0 "...What? Do you mean that no more" $0A
              "action is awaiting for me?! Oh well," $0A
              "I need to talk with the one" $0A
              "who released the level pack..." $0A $0A $00

### Robot message (instead of Super VGA card thing) ###
%patch $21B60 "Thanks for trying out this level pack!" $0A
              "Temporary name:" $0A
              $22 "Snake is back to the city" $22 $0A
              "Note that some stuff may not" $0A "be completed and/or finalized!" $0A
              "Have fun!" $00

###### Freeware release, version 1.1 ######
%version 1.1

### Load alternate map files ####
%patch $2A1D0 "SBCHEAD.BM1" $00
%patch $2A1DC "Can't open SBCHEAD.BM1!" $00
%patch $2A1F4 "SBCTEMP.BM1" $00
%patch $2A200 "Can't open SBCTEMP.BM1!" $00

#### Game songs ###
%patch $2942E $11 $00 # Level 1; Help menu
              $02 $00 # Level 2
              $05 $00 # Level 3
              $06 $00 # Level 4
              $0A $00 # Level 5
              $03 $00 # Level 6
              $04 $00 # Level 7; Secret levels
              $01 $00 # Level 8
              $00 $00 # Level 9
              $0B $00 # Level 10

#In order to restore original behavior,
#secret levels have the same song as level 5 does.
%patch $69C2 $04

### Health patch ###
# On Hard difficulty, always begin a new level with 2 health points.
%patch $9EE5 $02 $00

### Level names ###
%patch $29F84 "Back In Town" $00
%patch $29F93 "Park Base" $00
%patch $29F9D "A Trap" $00
%patch $29FA7 "Worst Lvl?" $00
%patch $29FB2 "Tough" $00
%patch $29FB8 "SLab" $00
%patch $29FBD "The Sewer" $00
%patch $29FC7 "A Climb" $00
%patch $29FD0 "Northern Town" $00
%patch $29FDE "Temporary End" $00

### Messages from hostages and Snake's responses. ###

# Level 1
%patch $21840 "Finally, a human being coming" $0A
              "to the rescue! Thank you very much!" $0A
              "Oh, this exit key should help you." $0A $00
%patch $218B0 "It must've been scary to be all" $0A
              "alone here. Thanks for the key!" $0A
              "I'll see its usefullness." $0A $0A $00
# Level 2
%patch $21910 "Thank you! Some Doctor has captured" $0A
              "me right here and escaped over" $0A
              "there. Luckily, I could grab some key" $0A
              "that may lead you in the right way." $0A
              "Take care!" $0A $0A $00
%patch $219C0 "Yeah, that preak! I'm wondering" $0A
              "what has he prepared for me..." $0A $0A $00
# Level 3
%patch $21A10 "Many many thanks!!" $0A
              "I'm so scared, this place" $0A
              "seems to be quite dangerous!" $0A
              "This is the key to the REAL exit," $0A
              "or so I've heard from someone..." $0A $0A $00
%patch $21AA0 "Yeah, that doctor has had enough" $0A
              "surprises for me. But no worries," $0A
              "I can stand by any of them!" $0A $0A $00
# Level 4
%patch $21B10 "Hey there, I wonder why you've" $0A
              "made it up to here. Oh well," $0A
              "here's a key to the exit. See the" $0A
              "switch over there? You may open" $0A
              "the way to a few nice goodies!" $0A $0A $00
%patch $21BC0 "Yeah, so far it has been the most" $0A
              "boring challenge ever. Oh well," $0A
              "thanks for the key though! Now" $0A
              "I can see the exit over there..." $0A $0A $00
# Level 5
%patch $21C50 "YIKES!...Oh, you're just an unharmful" $0A
              "human being. That skull guy" $0A
              "has scared me to death! Oh well," $0A
              "thanks. Here's some key." $0A $0A $00
%patch $21CD0 "Hmm... oh, the skull guy? It's been" $0A
              "an easy target. Lets exit now!" $0A $0A $00
# Level 6
%patch $21D20 "Thank you very much!! That" $0A
              "electric beam has been scaring me to" $0A
              "death for long enough! All alone" $0A
              "here, with an exit key and" $0A
              "some kind of a gem. We shall" $0A
              "escape right now!" $0A $0A $00
%patch $21DD0 "Oh, the electric beam? That isn't" $0A
              "the real problem. We've got way" $0A
              "more than that. But no worries," $0A
              "I'll take care of these!" $0A $0A $00
# Level 9
%patch $21E50 "ARGH!!!...Oh, Snake Logan! Thank you" $0A
              "very much! These monsters" $0A
              "have been scaring me to death!" $0A $0A $00
%patch $21EC0 "...Yeah, the monsters. They're" $0A
              "a challenge. Now where has" $0A
              "that doctor escaped to..." $0A $0A $00
# Level 10
%patch $21F20 "Thank you for playing this" $0A
              "snapshot of the level pack!" $0A
              "Now, Mr. Logan, I think it's time" $0A
              "to use that key and have some rest." $0A $0A $00
%patch $21FB0 "...What? Do you mean that no more" $0A
              "action is awaiting for me?! Oh well," $0A
              "I need to talk with the one" $0A
              "who released the level pack..." $0A $0A $00

### Robot message (instead of Super VGA card thing) ###
%patch $22160 "Thanks for trying out this level pack!" $0A
              "Temporary name:" $0A
              $22 "Snake is back to the city" $22 $0A
              "Note that some stuff may not" $0A "be completed and/or finalized!" $0A
              "Have fun!" $00
%end
